/* style.css */
body, h1, h2, h3, p {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

.container {
    width: 80%;
    margin: auto;
}

header {
    background-color: #333;
    color: #fff;
    padding: 10px 0;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo a {
    color: #fff;
}
.hh{
font-size:24px;
}

.nav-links li {
    display: inline;
    margin-left: 20px;
}

.nav-links a {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s;
}

.nav-links a:hover {
    color: #ddd;
}

.banner {
    background-image: url('banner.jpg');
    height: 300px;
    background-size: cover;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.banner h2 {
    font-size: 3em;
}

.banner p {
    font-size: 1.5em;
}

/* Flex Container */
.flex-container1 {
    display: flex;
    justify-content: space-between;
    margin-left: auto;
    margin-right: auto; /* 这两个属性将容器居中 */
    max-width:80%; /* 限制最大宽度，防止容器过宽 */
}

/* Container */
.container1 {
    width: calc(50%); /* 减去间隙宽度的一半 */
    padding: 20px;
    box-sizing: border-box; /* 包括padding在内的宽度计算 */
	text-align:left;
	background:#c1c1c1;
}

/* 调整媒体查询以适应小屏幕 */
@media (max-width: 768px) {
    .flex-container1 {
        flex-direction: column;
    }
    .container1 {
        width: 100%; /* 在小屏幕上，每个容器占满宽度 */
    }
}


.products, .news, .contact, .app {
    padding: 50px 0;
}
about{
 width: 80%;

    display: flex;
    justify-content: center;
    align-items: center;
	text-align:center

}
.midgao{
padding-top:20px;
min-height:600px;
}
.product-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin-top: 20px;
}

.product-item {
    border: 1px solid #ddd;
    padding: 10px;
    text-align: center;
}

.product-item img {
    width:250px;
    height: auto;
    object-fit: cover;
}

.news-item {
    margin-bottom: 20px;
	padding-left:20px;
}

.app .btn {
    display: inline-block;
    background-color: #007bff;
    color: #fff;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    transition: background-color 0.3s;
}

.app .btn:hover {
    background-color: #0056b3;
}

footer {
    background-color: #333;
    color: #fff;
    text-align: center;
    padding: 50px 0;
}

@media (max-width: 768px) {
    .nav-links li {
        display: block;
        margin: 10px 0;
    }

    .product-grid {
        grid-template-columns: 1fr;
    }
}
/* Slider */
.slider {
    position: relative;
    max-width: 100%;
    overflow: hidden;
}

.slides-container {
    display: flex;
    width: 300%; /* 假设有3张图，总宽度就是单张宽度的300% */
}

.slide {
    width: 100%; /* 每张图占总宽度的1/3 */
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform 0.5s ease-in-out;
}

.slide img {
    width: 80%;
    display: block;
}
/*
a:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	text-decoration: none;
	color: #000066;
}
a:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	text-decoration: none;
	color: #000066;
}
a:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	text-decoration: none;
	color:  #000000;
}
*/
a.logo:link {
	font-family: "宋体";
	font-size: 24px;
	font-weight: normal;
	color: #fff;
	text-decoration: none;
}
a.logo:visited {
	font-family: "宋体";
	font-size: 24px;
	font-weight: normal;
	color: #fff;
	text-decoration: none;
}
a.logo:hover {
	font-family: "宋体";
	font-size: 24px;
	font-weight: normal;
	color: #fff;
	text-decoration: none;
}
a.footer:link {
	font-family: "宋体";
	font-size: 16px;
	font-weight: normal;
	color: #fff;
	text-decoration: none;
}
a.footer:visited {
	font-family: "宋体";
	font-size: 16px;
	font-weight: normal;
	color: #fff;
	text-decoration: none;
}
a.footer:hover {
	font-family: "宋体";
	font-size: 16px;
	font-weight: normal;
	color: #fff;
	text-decoration: none;
}
a.aa:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #000000;
	text-decoration: none;
}
a.aa:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #000000;
	text-decoration: none;
}
a.aa:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #000000;
	text-decoration: none;
}
a.aa1:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #000000;
	text-decoration: none;
}
a.aa1:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #000000;
	text-decoration: none;
}
a.aa1:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #ff6c00;
	text-decoration: none;
}
a.aa2:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #000000;
	text-decoration: none;
}
a.aa2:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #000000;
	text-decoration: none;
}
a.aa2:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #000000;
	text-decoration: underline;
}
a.aa3:link {
	font-family: "宋体";
	font-size: 16px;
	font-weight: normal;
	color: #000000;
	text-decoration: none;
}
a.aa3:visited {
	font-family: "宋体";
	font-size: 16px;
	font-weight: normal;
	color: #000000;
	text-decoration: none;
}
a.aa3:hover {
	font-family: "宋体";
	font-size: 16px;
	font-weight: normal;
	color: #000000;
	text-decoration: underline;
}
a.aa4:link {
	font-family: "宋体";
	font-size: 18px;
	font-weight: normal;
	color: #FF0000;
	text-decoration: none;
}
a.aa4:visited {
	font-family: "宋体";
	font-size: 18px;
	font-weight: normal;
	color: #FF0000;
	text-decoration: none;
}
a.aa4:hover {
	font-family: "宋体";
	font-size: 18px;
	font-weight: normal;
	color: #FF0000;
	text-decoration: underline;
}
a.aa5:link {
	font-family: "微软雅黑";
	font-size: 24px;
	font-weight: normal;
	color: #003300;
	text-decoration: none;
}
a.aa5:visited {
	font-family: "微软雅黑";
	font-size: 24px;
	font-weight: normal;
	color: #003300;
	text-decoration: none;
}
a.aa5:hover {
	font-family: "微软雅黑";
	font-size: 24px;
	font-weight: normal;
	color: #003300;
	text-decoration: underline;
}
a.ab:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color:#ffed00;
	text-decoration: none;
}
a.ab:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #ffed00;
	text-decoration: none;
}
a.ab:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #ffed00;
	text-decoration: none;
}

a.ac:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #0A5100;
	text-decoration: none;
}
a.ac:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #0A5100;
	text-decoration: none;
}
a.ac:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #ff6c00;
	text-decoration: none;
}
a.acf:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: bold;
	color: #FF0000;
	text-decoration: none;
}
a.acf:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: bold;
	color: #FF0000;
	text-decoration: none;
}
a.acf:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: bold;
	color: #FF0000;
	text-decoration: none;
}
a.ac1:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #0A5100;
	text-decoration: none;
}
a.ac1:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #0A5100;
	text-decoration: none;
}
a.ac1:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #FFFFFF;
	text-decoration: none;
}
a.ac2:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #dd0000;
	text-decoration: none;
}
a.ac2:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #dd0000;
	text-decoration: none;
}
a.ac2:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #dd0000;
	text-decoration: none;
}
a.ad:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color:#e5e5e5;
	text-decoration: none;
}
a.ad:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #e5e5e5;
	text-decoration: none;
}
a.ad:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color:#e5e5e5;
	text-decoration: none;
}
a.ad1:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #e5e5e5;
	text-decoration: none;
}
a.ad1:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #e5e5e5;
	text-decoration: none;
}
a.ad1:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #e5e5e5;
	text-decoration: none;
}
a.ad2:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #e5e5e5;
	text-decoration: none;
}
a.ad2:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #e5e5e5;
	text-decoration: none;
}
a.ad2:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #ffffff;
	text-decoration: none;
}
a.af:link {
	font-family: "宋体";
    font-size: 14px;
	font-weight: normal;
	color: #ffed00;
}
a.af:visited {
	font-family: "宋体";
    font-size: 14px;
	font-weight: normal;
	color: #ffed00;
}
a.af:hover {
	font-family: "宋体";
    font-size: 14px;
	font-weight: normal;
	color: #ffed00;
	text-decoration: none;
}
a.ag:link {
	font-family: "微软雅黑";
	font-size: 16px;
	font-weight: normal;
	color: #FFFFFF;
}
a.ag:visited {
	font-family: "微软雅黑";
	font-size: 16px;
	font-weight: normal;
	color: #FFFFFF;
}
a.ag:hover {
	font-family: "微软雅黑";
	font-size: 16px;
	font-weight: normal;
	color: #FFFFFF;
}
a.ah:link {
    font-family: "宋体";
	font-size: 14px;
	font-weight: bold;
	color: #000000;
	
}
a.ah:visited {
	font-family: "宋体";
	font-size: 14px;
	font-weight: bold;
	color: #000000;
}
a.ah:hover {
	font-family: "宋体";
	font-size: 14px;
	font-weight: bold;
	color: #000000;
	text-decoration: underline;
}
a.ah2:link {
    font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #000000;
	
}
a.ah2:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #000000;
}
a.ah2:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #000000;
	text-decoration: underline;
}
a.ah-1:link {
    font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #7F7F7F;
	
}
a.ah-1:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #7F7F7F;
}
a.ah-1:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #7F7F7F;
	text-decoration: underline;
}
a.ah-2:link {
    font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #FF0000;
	
}
a.ah-2:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #FF0000;
}
a.ah-2:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: normal;
	color: #FF0000;
	text-decoration: underline;
}
a.ai:link {
    font-family: "宋体";
	font-size: 18px;
	font-weight: normal;
	color: #02AEDE;
}
a.ai:visited {
	 font-family: "宋体";
	font-size: 18px;
	font-weight: normal;
	color: #02AEDE;
}
a.ai:hover {
	 font-family: "宋体";
	font-size: 18px;
	font-weight: normal;
	color: #02AEDE;
}
a.ai-1:link {
    font-family: "宋体";
	font-size: 18px;
	font-weight: normal;
	color: #3A3A3A;
}
a.ai-1:visited {
	 font-family: "宋体";
	font-size: 18px;
	font-weight: normal;
	color: #3A3A3A;
}
a.ai-1:hover {
	 font-family: "宋体";
	font-size: 18px;
	font-weight: normal;
	color: #3A3A3A;
}
a.ai-2:link {
    font-size: 14px;
	font-weight: normal;
	color: #7A7C7C;
	font-family: "宋体";
}
a.ai-2:visited {
	font-size: 14px;
	font-weight: normal;
	color: #7A7C7C;
	font-family: "宋体";
}
a.ai-2:hover {
	font-size: 14px;
	font-weight: normal;
	color: #7A7C7C;
	font-family: "宋体";
}
a.ai-3:link {
    font-size: 24px;
	font-weight: bold;
	color: #000000;
	font-family: "宋体";
}
a.ai-3:visited {
	font-size: 24px;
	font-weight: bold;
	color: #000000;
	font-family: "宋体";
}
a.ai-3:hover {
	font-size: 24px;
	font-weight: bold;
	color: #000000;
	font-family: "宋体";
}
a.aj:link {
	font-family: "宋体";
	font-size: 12px;
	font-weight: bold;
	color: #006600;
	text-decoration: none;
}
a.aj:visited {
	font-family: "宋体";
	font-size: 12px;
	font-weight: bold;
	color: #006600;
	text-decoration: none;
}
a.aj:hover {
	font-family: "宋体";
	font-size: 12px;
	font-weight: bold;
	color: #006600;
	text-decoration: none;
}
a.aj1:link {
	font-family: "微软雅黑";
	font-size: 16px;
	font-weight: normal;
	color: #006600;
	text-decoration: none;
}
a.aj1:visited {
	font-family: "微软雅黑";
	font-size: 16px;
	font-weight: normal;
	color: #006600;
	text-decoration: none;
}
a.aj1:hover {
	font-family: "微软雅黑";
	font-size: 16px;
	font-weight: normal;
	color: #006600;
	text-decoration: none;
}
a.ak:link {
	font-family: "宋体";
	font-size: 14px;
	font-weight: bold;
	color: #FFFFFF;
}
a.ak:visited {
	font-family: "宋体";
	font-size: 14px;
	font-weight: bold;
	color: #FFFFFF;
	text-decoration: none;
}
a.ak:hover {
	font-family: "宋体";
	font-size: 14px;
	font-weight: bold;
	color: #FFFFFF;
	text-decoration: none;
}
